<?php
/*Plugin now for Joomla4 an 5 by https://jstats.de/
 *from Alexander Mueller - SEO NW ( new Script for J4! an J5!)
 *The GNU General Public License is a free, copyleft license for
 *software and other kinds of works.
 *@license https://www.gnu.org/copyleft/gpl.html GNU/GPL
 *
 * A plugin that allows you to add custom Head Code
 * *** Last update: 19.10, 2023 ***
*/
defined('_JEXEC') or die;

use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\CMSPlugin;

class PlgSystemJstats extends CMSPlugin
{
    protected $app;

    public function onBeforeCompileHead()
    {
        // Nur im Frontend ausführen
        if ($this->app->isClient('site')) {
            $doc = Factory::getDocument();
            $menu = $this->app->getMenu();

            if ($menu) {
                $activeMenu = $menu->getActive();

                if ($activeMenu) {
                    $excludedMenuItems = (array) $this->params->get('excluded_menu_items', []);

                    // Wenn die aktuelle Menü-ID nicht in den ausgeschlossenen Menüs ist, füge den Code hinzu
                    if (!in_array((string) $activeMenu->id, $excludedMenuItems)) {
                        $customCode = trim((string) $this->params->get('custom_code', ''));

                        if (!empty($customCode)) {
                            // Wenn die Bedingung zum Deaktivieren von Cookies aktiv ist, füge den disableCookies Code hinzu
                            if (strpos($customCode, '/* tracker methods like "setCustomDimension" should be called before "trackPageView" */') !== false && $this->params->get('disable_cookies', '0') === '1') {
                                $customCode = str_replace('/* tracker methods like "setCustomDimension" should be called before "trackPageView" */', "_paq.push(['disableCookies']);\n/* tracker methods like \"setCustomDimension\" should be called before \"trackPageView\" */", $customCode);
                            }

                            // Benutzerdefinierten Code zum Dokument-Head hinzufügen
                            $doc->addCustomTag($customCode);
                        }
                    }
                }
            }
        }
    }
}

?>
